package com.dhcc.finance.main.domain;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwHsOutcwVouchers",description = "财务估值导出凭证从表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwHsOutcwVouchers {
    private String entryId;

    private String accountCode;

    private String abstracts;

    private String settlement;

    private String documentId;

    private String documentDate;

    private String currency;

    private String unitPrice;

    private String exchangeRate1;

    private String exchangeRate2;

    private String debitQuantity;

    private String primaryDebitAmount;

    private String secondaryDebitAmount;

    private String naturalDebitCurrency;

    private String creditQuantity;

    private String primaryCreditAmount;

    private String secondaryCreditAmount;

    private String naturalCreditCurrency;

    private String billType;

    private String billId;

    private String billDate;

    private String item1;

    private String item2;

    private String item3;

    private String item4;

    private String name1;

    private String name2;

    private String name3;

    private String name4;

    private Integer lZtbh;

    private Integer lMainid;

    private Integer lImportFlag;

    private String vcImportDescribe;

    private String item5;

    private String name5;

    private String item6;

    private String name6;

    private String item7;

    private String name7;

    private String item8;

    private String name8;

    private String item9;

    private String name9;

    private Integer lZqnm;

    private String vcCode;

    private Integer dr;

    private String ts;

    private Integer lDcph;

    private String vcJkfs;

    private String vcFullname;

    private String item10;

    private String name10;
}