package com.dhcc.finance.main.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwGlDetailLike",description = "分录恢复筛选实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlDetailLike {
	 	@ApiModelProperty(value = "账套主键", required = false, example = "")
	    private String pkGlorgbook;
	    
	    @ApiModelProperty(value = "分期募集", required = false, example = "")
	    private String fqmjbh;
	    
	    @ApiModelProperty(value = "来源系统", required = false, example = "")
	    private String pkSystem;
	    
	    @ApiModelProperty(value = "摘要", required = false, example = "")
	    private String abstracts;

	    @ApiModelProperty(value = "制单人", required = false, example = "")
	    private String pkPrepared;
	    
	    @ApiModelProperty(value = "删除人", required = false, example = "")
	    private String updateUser;

	    @ApiModelProperty(value = "凭证号", required = false, example = "")
	    private String voucherno;

	    @ApiModelProperty(value = "会计期间", required = false, example = "")
	    private String period;   
	    
	    @ApiModelProperty(value = "最小凭证号", required = false, example = "")
	    private String vouchernoMin;
	    
	    @ApiModelProperty(value = "最大凭证号", required = false, example = "")
	    private String vouchernoMax;
	    
	    @ApiModelProperty(value = "最小制单日期", required = false, example = "")
	    private String preparedateMin;
	    
	    @ApiModelProperty(value = "最大制单日期", required = false, example = "")
	    private String preparedateMax;
	    
	    @ApiModelProperty(value = "最小业务发生日期", required = false, example = "")
	    private String occDateMin;
	    
	    @ApiModelProperty(value = "最大业务发生日期", required = false, example = "")
	    private String occDateMax;
}
